Resource observation

## Data Structures

struct | coap_subscription_t
| Subscriber information. More...

## Macros

#define | COAP_OBSERVE_ESTABLISH 0
| The value COAP_OBSERVE_ESTABLISH in a GET request indicates a new observe relationship for (sender address, token) is requested. More...
#define | COAP_OBSERVE_CANCEL 1
| The value COAP_OBSERVE_CANCEL in a GET request indicates that the observe relationship for (sender address, token) must be cancelled. More...
#define | COAP_OBS_MAX_NON 5
| Number of notifications that may be sent non-confirmable before a confirmable message is sent to detect if observers are alive. More...
#define | COAP_OBS_MAX_FAIL 3
| Number of confirmable notifications that may fail (i.e. More...

## Typedefs

typedef struct coap_subscription_t | coap_subscription_t
| Subscriber information. More...

## Functions

void | coap_subscription_init (coap_subscription_t *)

## Detailed Description

## Macro Definition Documentation

## COAP_OBS_MAX_FAIL

#define COAP_OBS_MAX_FAIL 3

Number of confirmable notifications that may fail (i.e.

time out without being ACKed) before an observer is removed. The maximum value for COAP_OBS_MAX_FAIL is `3`.

Definition at line 50 of file subscribe.h.

## COAP_OBS_MAX_NON

#define COAP_OBS_MAX_NON 5

Number of notifications that may be sent non-confirmable before a confirmable message is sent to detect if observers are alive.

The maximum allowed value here is `15`.

Definition at line 41 of file subscribe.h.

## COAP_OBSERVE_CANCEL

#define COAP_OBSERVE_CANCEL 1

The value COAP_OBSERVE_CANCEL in a GET request indicates that the observe relationship for (sender address, token) must be cancelled.

Definition at line 33 of file subscribe.h.

## COAP_OBSERVE_ESTABLISH

#define COAP_OBSERVE_ESTABLISH 0

The value COAP_OBSERVE_ESTABLISH in a GET request indicates a new observe relationship for (sender address, token) is requested.

Definition at line 27 of file subscribe.h.

## Typedef Documentation

## coap_subscription_t

typedef struct coap_subscription_t coap_subscription_t

Subscriber information.

## Function Documentation

## coap_subscription_init()

void coap_subscription_init | ( | coap_subscription_t * |  | ) |

Definition at line 20 of file subscribe.c.

Here is the caller graph for this function: